Project

General

Profile

Actions

Bug #12322

closed

vs 2015

Added by kerwin (kerwin xu) over 6 years ago. Updated over 6 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
Backport:
[ruby-core:75210]

Description

i cannot compile ruby 2.3.1 with vc 2015 , because msvcr.lib does not have __pioinfo .

EXTERN_C _CRTIMP ioinfo * __pioinfo[];


Related issues 1 (0 open1 closed)

Is duplicate of Ruby master - Bug #11118: Unable to build Ruby with Visual Studio 2015 RCClosedActions
Actions #1

Updated by naruse (Yui NARUSE) over 6 years ago

  • Is duplicate of Bug #11118: Unable to build Ruby with Visual Studio 2015 RC added

Updated by naruse (Yui NARUSE) over 6 years ago

  • Status changed from Open to Rejected
  • Backport deleted (2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN)

Ruby 2.3 won't support VC 2015 because their msvcrt doesn't export __pioinfo.
Ruby 2.4 will support VC 2015 and VC 15 preview with hack https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/54737/diff/win32/win32.c

Actions

Also available in: Atom PDF